<!--
N.B.: This README was automatically generated by https://github.com/YunoHost/apps/tree/master/tools/README-generator
It shall NOT be edited by hand.
-->

# Shiori for YunoHost

[![Integration level](https://dash.yunohost.org/integration/shiori.svg)](https://dash.yunohost.org/appci/app/shiori) ![Working status](https://ci-apps.yunohost.org/ci/badges/shiori.status.svg) ![Maintenance status](https://ci-apps.yunohost.org/ci/badges/shiori.maintain.svg)  
[![Install Shiori with YunoHost](https://install-app.yunohost.org/install-with-yunohost.svg)](https://install-app.yunohost.org/?app=shiori)

*[Lire ce readme en français.](./README_fr.md)*

> *This package allows you to install Shiori quickly and simply on a YunoHost server.
If you don't have YunoHost, please consult [the guide](https://yunohost.org/#/install) to learn how to install it.*

## Overview

Shiori is a simple bookmarks manager written in Go language. Intended as a simple clone of Pocket. You can use it as command line application or as web application. This application is distributed as a single binary, which means it can be installed and used easily.

### Features

- Simple and clean command line interface.
- Basic bookmarks management i.e. add, edit and delete.
- Search bookmarks by their title, tags, URL and page content.
- Import and export bookmarks from and to Netscape Bookmark file.
- Simple web interface for those who don't want to use a command line app.
- Where possible, by default shiori will download a static copy of the webpage in simple text and HTML format, which later can be used as an offline archive for that page.

### Shiori Web Extension

[Shiori Web Extension](https://github.com/go-shiori/shiori-web-ext) is a simple extension for managing bookmarks using Shiori. This extension is intended to integrate Shiori with your favorite web browser. This way, you can save and remove bookmarks in Shiori without switching from your current page.

**Shipped version:** 1.5.3~ynh1

**Demo:** https://demo.example.com

## Screenshots

![Screenshot of Shiori](./doc/screenshots/screenshot.png)

## Disclaimers / important information

### First log in

The default account is `shiori` with password `gopher`. It is removed once another 'owner' account is created.

- username: `shiori`
- password: `gopher`

## Documentation and resources

* Official app website: <https://github.com/go-shiori/shiori>
* Official user documentation: <https://github.com/go-shiori/shiori/wiki/Usage>
* Official admin documentation: <https://github.com/go-shiori/shiori/wiki>
* Upstream app code repository: <https://github.com/go-shiori/shiori>
* YunoHost documentation for this app: <https://yunohost.org/app_shiori>
* Report a bug: <https://github.com/YunoHost-Apps/shiori_ynh/issues>

## Developer info

Please send your pull request to the [testing branch](https://github.com/YunoHost-Apps/shiori_ynh/tree/testing).

To try the testing branch, please proceed like that.

``` bash
sudo yunohost app install https://github.com/YunoHost-Apps/shiori_ynh/tree/testing --debug
or
sudo yunohost app upgrade shiori -u https://github.com/YunoHost-Apps/shiori_ynh/tree/testing --debug
```

**More info regarding app packaging:** <https://yunohost.org/packaging_apps>
